<?php 
/* 
Plugin Name: FeedSnap 
Plugin URI: http://www.polaraul.com 
Description: Plugin for displaying RSS Feeds.
Version: 1.1 
Author: Paul Morley 
Author URI: http://www.polaraul.com 
*/ 

function feedsnap_function ($text){


    $text = str_replace('[feedsnap]','<feedsnap>',$text);
	$text = str_replace('[/feedsnap]','</feedsnap>',$text);
    preg_match_all( "/\<feedsnap\>(.*?)\<\/feedsnap\>/s", $text, $listtitle );

	$formURL = split(",", $listtitle[1][0]);

	if (!class_exists('lastRSS'))  
		include_once "lastRSS.php";

	// Create lastRSS object
	$rss = new lastRSS;

	// Set cache dir and cache time limit (1200 seconds)
	// (don't forget to chmod cahce dir to 777 to allow writing)
	$rss->cache_dir = '';
	$rss->cache_time = 1200;
	$rss->CDATA = 'content';


    $atext = "";
	

	// Try to load and parse RSS file
	if ($rs = $rss->get($formURL[0])) {
    	foreach($rs['items'] as $item) {
			$atext = $atext . "<h3>$item[title]</h3>";
			$atext = $atext . html_entity_decode($item[description]). " <a href=\"$item[link]\">(read more)</a>";
			$atext = $atext . "<BR clear='All'><BR>";
        }
    }
		else {
    $atext = $atext . "Error: It's not possible to reach RSS file...\n";
}



	$text = str_replace("<feedsnap>".$listtitle[1][0]."</feedsnap>",$atext,$text);
	return $text;
}

add_filter('the_content','feedsnap_function');

?>